﻿using System.Web.Mvc;
using System.Web.Mvc.Html;
using SafeEncodingHelper;

namespace SaferApp.Views.Shared
{
	/* findme */
	public class RawHtmlHelper<TModel> : HtmlHelper<TModel> where TModel : class
	{
		public RawHtmlHelper(ViewContext viewContext, IViewDataContainer viewDataContainer)
			: base(viewContext, viewDataContainer) { }

		public RawHtml TextBox(string name)
		{
			return (RawHtml)((HtmlHelper)this).TextBox(name);
		}

		public RawHtml TextBox(string name, object value, object htmlAttributes)
		{
			return (RawHtml)((HtmlHelper)this).TextBox(name, value, htmlAttributes);
		}
	}
}
