﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SaferApp.Views.Shared
{
	/* findme */
	public class ViewPage<TModel> : System.Web.Mvc.ViewPage<TModel> where TModel : class
	{
		public override void InitHelpers()
		{
			base.Html = new RawHtmlHelper<TModel>(ViewContext, this);
		}

		public new RawHtmlHelper<TModel> Html
		{
			get { return (RawHtmlHelper<TModel>)base.Html; }
		}
	}
}
