﻿using System.Web.Mvc;
using InjectableApp.Models;

namespace InjectableApp.Controllers
{
	public class HomeController : ApplicationController
	{
		public ActionResult Register()
		{
			return View();
		}

		public ActionResult Registered(Person person)
		{
			SavePerson(person);
			return View();
		}

		
		public ActionResult AdminView()
		{
			return View(LoadPerson());
		}













		private void SavePerson(Person person)
		{
			savedPerson = person;
		}

		private Person LoadPerson()
		{
			return savedPerson ?? new Person();
		}

		private static Person savedPerson;

		public ActionResult Index()
		{
			return View();
		}
	}


}
